#ifndef TMHistogrammingClusterWidthPhi_H
#define TMHistogrammingClusterWidthPhi_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingClusterWidthPhi : public TMHistogramming {
 public:
  TMHistogrammingClusterWidthPhi();
  virtual ~TMHistogrammingClusterWidthPhi();

  virtual void ProcessClusters(HenrikClusterFinderSPD* clFinder);
	       
  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:

  TH1F   *fHistTotal;
  TH1F   *fHistInner;
  TH1F   *fHistOuter;

};

#endif
